{
  "name": "react-phone-number-input",
  "version": "3.1.46",
  "description": "Telephone number input React component",
  "main": "min/index.commonjs.js",
  "module": "min/index.js",
  "sideEffects": [
    "*.css"
  ],
  "peerDependencies": {
    "react": ">=0.16.8",
    "react-dom": ">=0.16.8"
  },
  "dependencies": {
    "classnames": "^2.2.5",
    "country-flag-icons": "^1.0.2",
    "input-format": "^0.3.7",
    "libphonenumber-js": "^1.9.47",
    "prop-types": "^15.7.2"
  },
  "devDependencies": {
    "@babel/cli": "^7.16.8",
    "@babel/core": "^7.7.7",
    "@babel/node": "^7.7.7",
    "@babel/plugin-proposal-class-properties": "^7.7.4",
    "@babel/plugin-proposal-object-rest-spread": "^7.7.7",
    "@babel/plugin-transform-destructuring": "^7.7.4",
    "@babel/polyfill": "^7.7.0",
    "@babel/preset-env": "^7.7.7",
    "@babel/preset-react": "^7.7.4",
    "@babel/register": "^7.7.7",
    "autoprefixer": "^8.6.4",
    "babel-loader": "^8.0.6",
    "babel-plugin-istanbul": "^6.0.0",
    "chai": "^3.5.0",
    "cross-env": "^5.1.4",
    "esm": "^3.2.25",
    "flagpack": "^1.0.4",
    "mocha": "^8.1.3",
    "npm-run-all": "^1.4.0",
    "nyc": "^15.0.0",
    "postcss": "^8.4.6",
    "postcss-custom-properties": "^10.0.0",
    "react": "^16.12.0",
    "react-dom": "^16.12.0",
    "react-styleguidist": "^11.2.0",
    "rimraf": "^2.5.0",
    "rollup": "^2.28.1",
    "rollup-plugin-commonjs": "^10.1.0",
    "rollup-plugin-json": "^4.0.0",
    "rollup-plugin-node-resolve": "^5.2.0",
    "rollup-plugin-terser": "^7.0.2",
    "webpack": "^4.41.5"
  },
  "scripts": {
    "generate-docs": "styleguidist build --config react-styleguidist.js",
    "test": "mocha --bail --require @babel/register --require esm --require ./test/setup.js \"source/**/*.test.js\" \"test/**/*.test.js\"",
    "test-coverage": "cross-env NODE_ENV=test nyc mocha --require esm --bail --require ./test/setup.js \"source/**/*.test.js\" \"test/**/*.test.js\"",
    "coveralls": "nyc report --reporter=text-lcov | coveralls",
    "browser-build": "rollup --config rollup.config.js",
    "clean-for-build": "rimraf ./commonjs/**/* ./modules/**/*",
    "build-commonjs-modules": "cross-env BABEL_ENV=commonjs babel ./source --out-dir ./commonjs --source-maps --ignore *.test.js",
    "build-es6-modules": "cross-env BABEL_ENV=es6 babel ./source --out-dir ./modules --source-maps --ignore *.test.js",
    "build": "npm-run-all clean-for-build build-commonjs-modules build-es6-modules browser-build build-styles",
    "build-styles": "babel-node runnable/build-bundle-styles",
    "fix-locales": "babel-node runnable/fix-locales",
    "verify-flag-existence": "babel-node runnable/verify-flag-existence",
    "prepublishOnly": "npm-run-all fix-locales verify-flag-existence build test"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/catamphetamine/react-phone-number-input.git"
  },
  "keywords": [
    "react",
    "phone",
    "number",
    "input",
    "telephone",
    "international"
  ],
  "author": "catamphetamine <purecatamphetamine@gmail.com>",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/catamphetamine/react-phone-number-input/issues"
  },
  "homepage": "https://gitlab.com/catamphetamine/react-phone-number-input#readme"
}
